# $Revision: 1.22 $, $Date: 2006/03/13 23:00:04 $
# Conditional build:
%bcond_without	pam		 # build without pam support
%bcond_without	virtual		 # build without virtual users support
%bcond_with	ip_based_virtual # enable IP-based virtual passwd files and spool directories
%bcond_with	debug		 # enable debugging messages and logging
#
Summary:	POP3 daemon
Summary(pl):	Serwer POP3
Name:		vm-pop3d
Version:	1.1.6
Release:	4
License:	GPL
Group:		Networking/Daemons
Source0:	ftp://sunsite.unc.edu/pub/Linux/system/mail/pop/%{name}-%{version}.tar.gz
# Source0-md5:	0399cc06f5329a6eaebec05d959a6ec1
Source1:	%{name}.inetd
Source2:	%{name}.init
Patch0:		%{name}-ac.patch
URL:		http://www.reedmedia.net/software/virtualmail-pop3d/
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_pam:BuildRequires:	pam-devel}
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
virtualmail-pop3d supports alternative password files and mail spool
directories; it can be used for setting up virtual email accounts
-- mailboxes without real Unix owners for each. This will allow you
to have multiple email accounts with the same name on one system.

%description -l pl
virtualmail-pop3d obsuguje alternatywne pliki z hasami i katalogi
pocztowe. Moe by uywany do ustawiania wirtualnych kont pocztowych -
skrzynek bez prawdziwych uniksowych uytkownikw dla kadej z nich.
To pozwala mie w jednym systemie wiele kont pocztowych o tej samej
nazwie.

%package common
Summary:	POP3 daemon - common files
Summary(pl):	Serwer POP3 - wsplne pliki
Group:		Networking/Daemons
%{?with_pam:Requires:	pam >= 0.77.3}
Obsoletes:	imap-pop
Obsoletes:	pop3daemon
Obsoletes:	pop3proxy
Obsoletes:	qpopper
Obsoletes:	qpopper6
Obsoletes:	solid-pop3d
Obsoletes:	solid-pop3d-ssl

%description common
virtualmail-pop3d supports alternative password files and mail spool
directories; it can be used for setting up virtual email accounts
-- mailboxes without real Unix owners for each. This will allow you
to have multiple email accounts with the same name on one system.

This is common package for standalone and inetd versions.

%description common -l pl
virtualmail-pop3d obsuguje alternatywne pliki z hasami i katalogi
pocztowe. Moe by uywany do ustawiania wirtualnych kont pocztowych -
skrzynek bez prawdziwych uniksowych uytkownikw dla kadej z nich.
To pozwala mie w jednym systemie wiele kont pocztowych o tej samej
nazwie.

To jest wsplny pakiet dla wersji samodzielnej i inetd.

%package standalone
Summary:	POP3 daemon - standalone version
Summary(pl):	Serwer POP3 - wersja samodzielna
Group:		Networking/Daemons
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name}-common = %{version}
Requires:	rc-scripts
Provides:	%{name} = %{version}-%{release}
Obsoletes:	vm-pop3d-inetd

%description standalone
virtualmail-pop3d supports alternative password files and mail spool
directories; it can be used for setting up virtual email accounts
-- mailboxes without real Unix owners for each. This will allow you
to have multiple email accounts with the same name on one system.

This is standalone version of vm-pop3d.

%description standalone -l pl
virtualmail-pop3d obsuguje alternatywne pliki z hasami i katalogi
pocztowe. Moe by uywany do ustawiania wirtualnych kont pocztowych -
skrzynek bez prawdziwych uniksowych uytkownikw dla kadej z nich.
To pozwala mie w jednym systemie wiele kont pocztowych o tej samej
nazwie.

To jest samodzielna wersja vm-pop3d.

%package inetd
Summary:	POP3 daemon - inetd version
Summary(pl):	Serwer POP3 - wersja inetd
Group:		Networking/Daemons
Requires:	%{name}-common = %{version}
Requires:	rc-inetd
Provides:	%{name} = %{version}-%{release}
Obsoletes:	vm-pop3d-standalone

%description inetd
virtualmail-pop3d supports alternative password files and mail spool
directories; it can be used for setting up virtual email accounts
-- mailboxes without real Unix owners for each. This will allow you
to have multiple email accounts with the same name on one system.

This is inetd version of vm-pop3d.

%description inetd -l pl
virtualmail-pop3d obsuguje alternatywne pliki z hasami i katalogi
pocztowe. Moe by uywany do ustawiania wirtualnych kont pocztowych -
skrzynek bez prawdziwych uniksowych uytkownikw dla kadej z nich.
To pozwala mie w jednym systemie wiele kont pocztowych o tej samej
nazwie.

To jest vm-pop3d w wersji inetd.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%configure \
	%{!?with_pam:--disable-pam} \
	%{!?with_virtual:--disable-virtual} \
	%{?with_ip_based_virtual:--enable-ip-based-virtual} \
	%{?with_debug:--enable-debug}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig/rc-inetd} \
	%{?with_pam:$RPM_BUILD_ROOT/etc/pam.d}

%{__make} install \
	ROOT=$RPM_BUILD_ROOT

%{?with_pam:cp -f vm-pop3d.pamd $RPM_BUILD_ROOT/etc/pam.d/vm-pop3d}
install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/vm-pop3d
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/vm-pop3d

%clean
rm -rf $RPM_BUILD_ROOT

%post inetd
%service -q rc-inetd restart

%postun inetd
if [ "$1" = "0" ]; then
	%service -q rc-inetd restart
fi

%post standalone
/sbin/chkconfig --add vm-pop3d
%service vm-pop3d restart "vm-pop3d daemon"

%preun standalone
if [ "$1" = "0" ]; then
	%service vm-pop3d stop
	/sbin/chkconfig --del vm-pop3d
fi

%files common
%defattr(644,root,root,755)
%doc AUTHORS CHANGES FAQ README TODO
%{?with_pam:%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/vm-pop3d}
%attr(755,root,root) %{_sbindir}/vm-pop3d
%{_mandir}/man8/*

%files inetd
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-inetd/vm-pop3d

%files standalone
%defattr(644,root,root,755)
%attr(754,root,root) /etc/rc.d/init.d/vm-pop3d

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: vm-pop3d.spec,v $
Revision 1.22  2006/03/13 23:00:04  glen
- use %service, fixed broken upgrade, rel 4

Revision 1.21  2005/12/13 15:51:53  glen
- adapterized (sorted %verify attrs)

Revision 1.20  2004/10/31 14:31:20  paladine
- spaces->tabs
- formatting

Revision 1.19  2004/01/30 18:27:24  eothane
- cleanups in bconds (new style, addedd missing)

Revision 1.18  2003/09/26 14:26:19  baggins
- release 3

Revision 1.17  2003/09/26 14:20:26  baggins
- req pam >= 0.77.3

Revision 1.16  2003/08/19 15:06:38  qboosh
- more specific Requires

Revision 1.15  2003/08/18 08:09:37  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.14  2003/07/11 12:28:24  ankry
- URL fixes and other cosmetics

Revision 1.13  2003/05/28 13:02:35  malekith
- massive attack: source-md5

Revision 1.12  2003/05/25 06:27:44  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2002/10/13 18:07:57  ankry
- added -ac patch to fix build with new ac
- cleaning

Revision 1.10  2002/10/12 18:20:47  kloczek
- release 2.

Revision 1.9  2002/10/08 14:24:52  qboosh
- really BR: autoconf,automake

Revision 1.8  2002/10/08 13:53:41  qboosh
- BR: autoconf,automake; new %%doc

Revision 1.7  2002/05/21 23:14:54  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%%\{__automake\}/; \
               s/^automake -a -c -f/\%%\{__automake\}/; \
	       s/^autoconf/\%%\{__autoconf\}/"

Revision 1.6  2002/02/22 23:29:56  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/26 18:25:58  kloczek
- updated to 1.1.6 (bugfix release).

Revision 1.4  2002/01/18 02:15:18  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/12/17 14:35:06  qboosh
- improved descriptions, added pl ones; release 2

Revision 1.2  2001/12/15 14:33:53  kloczek
- added all other now available packages names with pop daemons to Obsoletes,
- removed COPYING from %%doc (license is well known: GPL),
- added vm-pop3d-inetd to Obsoletes for vm-pop3d-standalone and vice versa,
- cosmetics.
NOTE: it will require ASAP add vm-pop3d-inetd, vm-pop3d-standalone to Obsoletes
for all available packages with pop daemons.

Revision 1.1  2001/12/15 10:47:20  pascalek
- initial release
